[manpage_begin tclhpdf 7 0.1.0]
[copyright {1999-2006 Takeshi Kanno <takeshi_kanno@est.hi-ho.ne.jp>}]
[copyright {2007 OHTSUKA, yoshio <ohtsuka.yoshio@gmail.com>}]
[moddesc   {tclhpdf Annotation Handler}]
[description]
The Annotation handler command have subcommands for annotation handling.

[usage COMMANDS]
[section COMMANDS]
[list_begin definitions]
[call [cmd hpdfAnnotationObj] [method setHighlightMode] [arg mode]]
setHighlightMode defined the appearance of when a mouse clicked on a link annotation.
[para]
[arg mode] allow the following values.
[list_begin definitions]
[def [const no_hightlight]]   No highlighting.
[def [const invert_box]]      Invert the contents of the area of annotation.
[def [const invert_border]]   Invert the annotation$B!G(Bs border.
[def [const down_appearance]] Dent the annotation.
[list_end]

[call [cmd hpdfAnnotationObj] [method setBorderStyle] [arg width] [arg dash_on] [arg dash_off]]
setBorderStyle defines the style of the annotation's border.

[call [cmd hpdfAnnotationObj] [method setIcon] [arg icon]]
setIcon defines the style of the text annotation's icon.
[para]
[arg icon] allow the following values.
[list_begin definitions]
[def [const comment]]
[def [const key]]
[def [const note]]
[def [const help]]
[def [const new_paragraph]]
[def [const paragraph]]
[def [const insert]]
[list_end]

[call [cmd hpdfAnnotationObj] [method setOpened] [arg opened]]
setOpened defines whether the text-annotation is initially displayed open.
[para]
[arg opened].true means that the annotation initially displayed open. 

[list_end]



[section REFERENCE]
[list_begin bullet]
	[bullet]
	[uri http://libharu.sourceforge.net/]
[list_end]


[keywords pdf]
[see_also tclhpdf tclhpdfDoc tclhpdfPage tclhpdfImage tclhpdfFont tclhpdfOutline tclhpdfEncoder tclhpdfDescription tclhpdfAnnotation tclhpdfExtGState]
[manpage_end]
