[manpage_begin tclhpdf n 0.1.0]
[copyright {1999-2006 Takeshi Kanno <takeshi_kanno@est.hi-ho.ne.jp>}]
[copyright {2007 OHTSUKA, yoshio <ohtsuka.yoshio@gmail.com>}]
[moddesc   {Tcl interface for Haru Free PDF library}]
[require Tcl 8.4]
[require Hpdf ?2.3?]
[description]
This package is a interface for Haru Free PDF library.
It allows you to make PDF documents by tcl language.

[usage COMMANDS]
[section COMMANDS]
[list_begin definitions]
	[call [cmd ::hpdf::new]]
    return a new hpdf doc object.
	[call [cmd ::hpdf::free] [arg hpdfDocObj]]
    free a hpdf doc object and all child objects of the doc object.
	[call [cmd ::hpdf::getVersion]]
    get the Haru Free PDF Library version. not a version of tclhpdf.
[list_end]



[section EXAMPLE]
see demo files and tests.


[section REFERENCE]
[list_begin bullet]
	[bullet]
	[uri http://libharu.sourceforge.net/]
[list_end]


[keywords pdf]
[see_also tclhpdf tclhpdfDoc tclhpdfPage tclhpdfImage tclhpdfFont tclhpdfOutline tclhpdfEncoder tclhpdfDescription tclhpdfAnnotation tclhpdfExtGState]
[manpage_end]
