[manpage_begin tclhpdf 6 0.1.0]
[copyright {1999-2006 Takeshi Kanno <takeshi_kanno@est.hi-ho.ne.jp>}]
[copyright {2007 OHTSUKA, yoshio <ohtsuka.yoshio@gmail.com>}]
[moddesc   {tclhpdf Destination Handler}]
[description]
The Destination handler command have subcommands for destination handling.

[usage COMMANDS]
[section COMMANDS]
[list_begin definitions]
[call [cmd hpdfDestinationObj] [method setXYZ] [arg left] [arg top] [arg zoom]]
setXYZ defines the appearance of a page with three parameters which are left, top and zoom.
[para]
[arg left] is the left coordinates of the pege.
[arg top] is the top coordinates of the pege.
[arg zoom] is the page magnified factor. The value must be between 0.08(8%) to 32(%).

[call [cmd hpdfDestinationObj] [method setFit]]
setFit sets the appearance of the page to displaying entire page within the window. 

[call [cmd hpdfDestinationObj] [method setFitH] [arg top]]
setFitH defines the appearance of a page to magnifying to fit the width of the page within the window and setting the top position of the page to the value of the "top" parameter.
[para]
[arg top] is the top coordinates of the pege. 

[call [cmd hpdfDestinationObj] [method setFitV] [arg left]]
setFitV defines the appearance of a page to magnifying to fit the height of the page within the window and setting the left position of the page to the value of the "top" parameter.
[para]
[arg left] is the left coordinates of the pege. 

[call [cmd hpdfDestinationObj] [method setFitR] [arg left] [arg bottom] [arg right] [arg top]]
setFitR defines the appearance of a page to magnifying the page to fit a rectangle specified by left, bottom, right and top.
[para]
[arg left] is the left coordinates of the pege.
[arg bottom] is the bottom coordinates of the pege.
[arg right] is the right coordinates of the pege.
[arg top] is the top coordinates of the pege.

[call [cmd hpdfDestinationObj] [method setFitB]]
setFitB sets the appearance of the page to magnifying to fit  the bounding box of the page within the window. 

[call [cmd hpdfDestinationObj] [method setFitBH] [arg top]]
setFitBH defines the appearance of a page to magnifying to fit the width of the bounding box of the page within the window and setting the top position of the page to the value of the "top" parameter.
[para]
[arg top] is the top coordinates of the pege. 

[call [cmd hpdfDestinationObj] [method setFitBV] [arg left]]
setFitBV defines the appearance of a page to magnifying to fit the height of the bounding box of the page within the window and setting the top position of the page to the value of the "top" parameter.
[para]
[arg left] is the left coordinates of the pege. 

[list_end]



[section REFERENCE]
[list_begin bullet]
	[bullet]
	[uri http://libharu.sourceforge.net/]
[list_end]


[keywords pdf]
[see_also tclhpdf tclhpdfDoc tclhpdfPage tclhpdfImage tclhpdfFont tclhpdfOutline tclhpdfEncoder tclhpdfDescription tclhpdfAnnotation tclhpdfExtGState]
[manpage_end]
