[manpage_begin tclhpdf 5 0.1.0]
[copyright {1999-2006 Takeshi Kanno <takeshi_kanno@est.hi-ho.ne.jp>}]
[copyright {2007 OHTSUKA, yoshio <ohtsuka.yoshio@gmail.com>}]
[moddesc   {tclhpdf Encoder Handler}]
[description]
The Encoder handler command have subcommands for font handling.

[usage COMMANDS]
[section COMMANDS]
[list_begin definitions]
[call [cmd hpdfEncoderObj] [method getType]]
getType gets the type of an encoding object.
It returns a following value.
[list_begin definitions]
[def [const single_byte]] This encoder is an encoder for single byte characters.
[def [const double_byte]] This encoder is an encoder for multi byte characters.
[def [const uninitialized]] This encoder is uninitialized. (May be it is an encoder for multi byte characters.)
[def [const unknown]] Invalid encoder.
[list_end]

[call [cmd hpdfEncoderObj] [method getByteType] [arg bytearraytext] [arg index]]
getByteType returns the type of byte in the text at position index. 
It returns a following value.
[list_begin definitions]
[def [const single]] Single byte character.
[def [const lead]] Lead byte of a double-byte character.
[def [const trial]] Trailing byte of a double-byte character.
[def [const unknown]] Invalid encoder or cannot judge the byte type.
[list_end]

[call [cmd hpdfEncoderObj] [method getUnicode] [arg code]]
getUnicode converts a specified character code to unicode.

[call [cmd hpdfEncoderObj] [method getWritingMode]]
getWritingMode returns the writing mode for the encoding object.
It returns a following value.
[list_begin definitions]
[def [const horizontal]] horizontal writing mode.
[def [const vertical]] vertical writing mode;
[list_end]

[list_end]


[section REFERENCE]
[list_begin bullet]
	[bullet]
	[uri http://libharu.sourceforge.net/]
[list_end]


[keywords pdf]
[see_also tclhpdf tclhpdfDoc tclhpdfPage tclhpdfImage tclhpdfFont tclhpdfOutline tclhpdfEncoder tclhpdfDescription tclhpdfAnnotation tclhpdfExtGState]
[manpage_end]
