set file [lindex $argv 0]
set path C:/msys/1.0/home/ir004961/src/libharu-2.0.8/include/hpdf_error.h
puts path=$file

proc output_msg {fp file} {
    puts $fp "    switch (error) {"
    set fp2 [open $file r]
    while {![eof $fp2]} {
        gets $fp2 line
        if {[regexp -- {#define (HPDF_.*?) *0x....} $line all def]} {
            set message \"[string tolower [string map {_ " "} $def]]\"
            puts $fp "        case $def:return $message;"
        }
    }
    close $fp2
    puts $fp "        default:"
    puts $fp "        {"
    puts $fp "             static char msg[256];"
    puts $fp "             snprintf(msg, 256, \"unknown error 0x%04X\", error);"
    puts $fp "             return msg;"
    puts $fp "        }"

    puts $fp "    }";# end of switch
}


set fp [open hpdf_error.c w]
fconfigure $fp -translation lf -encoding ascii
puts $fp "#include <hpdf_error.h>"
puts $fp ""
puts $fp "const char *"
puts $fp "hpdf_getErrorMessage (HPDF_STATUS error)"
puts $fp "{"
output_msg $fp $path
puts $fp "}"
close $fp
